> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/master.md).

# Introduction

## Overview

The Redivis API is designed to give users and applications programmatic interfaces for the Redivis platform.&#x20;

When interacting with the API, we highly recommend using the [redivis-r](/api/client-libraries/redivis-r.md) or [redivis-python](/api/client-libraries/redivis-python.md) client libraries, which provide programmatic interfaces for interacting with the low-level [REST API](/api/rest-api/general-structure.md).

{% hint style="info" %}
Before getting started, it is important to familiarize yourself with how [resources are referenced ](/api/referencing-resources.md)on Redivis.
{% endhint %}

## API Design

This API leverages a RESTful, resource-oriented design. Our goal is to provide a consistency across methods while allowing for an expressive interface.&#x20;

All methods, request properties, and status codes inherit from the behavior outlined in the [General structure](/api/rest-api/general-structure.md) section. All definitions of REST resources are provided under the "Resource definitions" header.&#x20;

## Examples

{% content-ref url="/pages/-Ma\_x25HWtV2vWk62KaO" %}
[redivis-python](/api/client-libraries/redivis-python.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MbEPCB1eSMx1gB-g5n-" %}
[redivis-r](/api/client-libraries/redivis-r.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LzwuGUzctThLjdZ8D2t" %}
[redivis-js](/api/client-libraries/redivis-js.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/master.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
